Package org.italiangrid.voms.ac

# Interface VOMSACValidationStrategy

All Known Implementing Classes:
  `DefaultVOMSValidationStrategy`

public interface VOMSACValidationStrategy
The strategy implemented to perform the validation of a VOMS attribute certificate.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`VOMSValidationResult`
`validateAC(VOMSAttribute attributes)`
Validates VOMS attributes not extracted from a certificate chain (e.g., as returned from the VOMS server)
`VOMSValidationResult`
`validateAC(VOMSAttribute attributes, X509Certificate[] theChain)`
Validates a VOMS Attribute Certificate

## Method Details

### validateAC

VOMSValidationResult validateAC(VOMSAttribute attributes, X509Certificate[] theChain)
Validates a VOMS Attribute Certificate

Parameters:
  `attributes` - the parsed VOMS attributes
  `theChain` - the certificate chain from which the attributes were parsed
Returns:
  a `VOMSValidationResult` object describing the outcome of the validation

### validateAC

VOMSValidationResult validateAC(VOMSAttribute attributes)
Validates VOMS attributes not extracted from a certificate chain (e.g., as returned from the VOMS server)

Parameters:
  `attributes` - the VOMS attributes
Returns:
  a `VOMSValidationResult` object describing the outcome of the validation